%define _disable_ld_no_undefined 1

%define modname pivy

Name:           python-%{modname}
Version:        0.6.9
Release:        %mkrel 2
Summary:        Pivy is a Coin binding for Python
License:        BSD
Group:          Development/Python
Url:            https://coin3d.github.io/
Source0:        https://github.com/coin3d/pivy/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         pivy-cmake.patch
Patch2:         0002-Fix-the-qmake-executable-name.patch

BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(Coin) >= 4.0.0
BuildRequires:  pkgconfig(SoQt) >= 1.6.0
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  swig


%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics
library with a C++ Application Programming Interface. Coin uses
scene-graph data structures to render real-time graphics suitable for
mostly all kinds of scientific and engineering visualization applications.

%package -n     python3-%{modname}
Summary:        Pivy is a Coin binding for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Pivy is a Coin binding for Python3. Coin is a high-level 3D graphics
library with a C++ Application Programming Interface. Coin uses
scene-graph data structures to render real-time graphics suitable for
mostly all kinds of scientific and engineering visualization applications.

%prep
%autosetup -p1 -n %{modname}-%{version}

sed -i 's|@LIBDIR@|%{_libdir}|g' distutils_cmake/CMakeLists.txt

%build
export CFLAGS="%{optflags} -fpermissive"
%py3_build

%install
%py3_install -- --install-lib=%{python3_sitearch}

chmod +x %{buildroot}%{python3_sitearch}/%{modname}/sogui.py

find %{buildroot}%{python3_sitearch} -name "*.py" -exec sed -i "s|#!/usr/bin/env python|#!%{__python3}|" {} \;

%files -n python3-%{modname}
%{python3_sitearch}/Pivy-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{modname}/


%changelog
* Sat Dec 28 2024 daviddavid <daviddavid> 0.6.9-2.mga10
+ Revision: 2130891
- rebuild with rpm-mageia-setup 2.82

* Wed Nov 06 2024 daviddavid <daviddavid> 0.6.9-1.mga10
+ Revision: 2112740
- new version: 0.6.9

* Thu Dec 28 2023 daviddavid <daviddavid> 0.6.8-2.mga10
+ Revision: 2023155
- add fedora patch to port to Python 3.12
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 0.6.8-1.mga10
+ Revision: 1988551
- new 0.6.8

* Thu Mar 31 2022 guillomovitch <guillomovitch> 0.6.6-2.mga9
+ Revision: 1836938
- rebuild for python 3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.6.6-1.mga9
+ Revision: 1717196
- new version: 0.6.6

* Mon Apr 19 2021 daviddavid <daviddavid> 0.6.5b-3.mga9
+ Revision: 1717167
- rebuild for python 3.9

* Thu Dec 17 2020 umeabot <umeabot> 0.6.5b-2.mga8
+ Revision: 1659440
- Rebuild for new Qt5

* Sun May 31 2020 daviddavid <daviddavid> 0.6.5b-1.mga8
+ Revision: 1589163
- new version: 0.6.5 (final)
- update Url and Source Url
- rebuild for new coin 4.0.0 and new soqt 1.6.0

* Sun Feb 16 2020 umeabot <umeabot> 0.6.5a2-3.mga8
+ Revision: 1535907
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 daviddavid <daviddavid> 0.6.5a2-2.mga8
+ Revision: 1453204
- increase release as of mga7's one

* Sun Sep 29 2019 daviddavid <daviddavid> 0.6.5a2-1.mga8
+ Revision: 1448003
- new version: 0.6.5a2

* Sun Sep 29 2019 daviddavid <daviddavid> 0.6.4-2.mga8
+ Revision: 1448002
- rebuild for python3.8
- drop python2 support

* Sun Apr 07 2019 daviddavid <daviddavid> 0.6.4-1.mga7
+ Revision: 1386540
- new version: 0.6.4
- add Python3 support
- add some debian patches

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-7.mga7
+ Revision: 1300546
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 0.5.0-6.mga7
+ Revision: 1218853
- use the correct macros for fix install location for 64bit systems

* Sun Apr 15 2018 daviddavid <daviddavid> 0.5.0-5.mga7
+ Revision: 1218829
- rename python-pivy to python2-pivy
- fix install location for 64bit systems
- use new python macros

* Tue Feb 16 2016 umeabot <umeabot> 0.5.0-4.mga6
+ Revision: 962265
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.5.0-3.mga6
+ Revision: 893845
- rebuild now that recreate_srpm does not fail anymore

* Wed Aug 05 2015 tv <tv> 0.5.0-2.mga6
+ Revision: 861401
- do not use %%py_requires

* Tue Jan 13 2015 shlomif <shlomif> 0.5.0-2.mga5
+ Revision: 810382
- Importing python-pivy (thanks to Richard Houser)


* Sat Jan 10 2015 Richard Houser <rick@divinesymphony.net> - 0.5-2
- Based on some preliminary packaging work by Pete Wallace
